* {
  padding: 0;
  margin: 0;
  font-family: 'Poppins', sans-serif;
  box-sizing: border-box;
}

body {
  background: linear-gradient(90deg, #70e1f5, #ffd194);
}

.container {
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  height: 100vh;
  width: 100%;
}

.player {
  border-radius: 10px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 1rem;
  padding: 2rem;
  background-color: #fff;
  width: 35%; /* Écrans larges */
}

.cover {
  object-fit: cover;
  width: 100%;
  height: 200px;
  border-radius: 15px;
}

h2, h3 {
  font-size: 25px;
}

.controls {
  display: flex;
  justify-content: center;
  gap: 20px;
}

.controls button {
  font-size: 2rem;
  background: none;
  border: none;
  cursor: pointer;
  transition: transform 0.2s;
}

.controls button:hover {
  transform: scale(1.2);
}

.progress-container {
  display: flex;
  align-items: center;
  margin-top: 20px;
  gap: 10px;
  width: 100%;
}

#progressBar {
  flex: 1;
}

.volume-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
}

#volume {
  width: 100%;
}

/* Mobile : 0 à 420px */
@media (max-width: 420px) {
  .player {
    width: 95%;
  }
}

/* Tablette : 421px à 720px */
@media (min-width: 421px) and (max-width: 720px) {
  .player {
    width: 70%;
  }
}